Meowfy 2012年12月7日上午3:45
Issue Report: TF2 Error; Won't Launch (S3TC Problem)
I just finished installing TF2 and after trying to launch it, I get an error message which is in the photo here: http://imgur.com/y0Ghd

I'm using an integrated Intel graphics card, on Linux Mint 13 Cinnamon. Idk if there's a solution or not, but I figured I should let you guys know just in case it's happened to someone else as well.
正在显示第 1 - 6 条,共 6 条留言
< >
Oktoras 2012年12月7日上午3:58 
I think you must install libtxc-dxtn-s2tc0 library.

It has some patent issues, so it might not be in your Linux distribution standard repository.

I am using that on my Intel system, and it least I am able to play Lord of the Rings online (via Wine) succesfully with it.

If you still have problems with it, try to install & run driconf, and enable option "Enable S3TC texture compression..." from page Image Quality. You may need to log off and log on again to apply the change.
Letalis Sonus 2012年12月7日上午4:10 
引用自 Oktoras
I think you must install libtxc-dxtn-s2tc0 library.

It has some patent issues, so it might not be in your Linux distribution standard repository.
The S2TC is a different implementation that is supposed to not have any patent issues. The net is still full with packages of the old original S3TC implemenation, though.
Chuckaluphagus 2012年12月7日上午10:10 
Alternate solution is to use a piece of software called DRIconf, available in the Ubuntu repositories (and likely elsewhere). Already wrote about it here: http://steamcommunity.com/app/221410/discussions/6/846939071071956036/#c846939071135717941
Meowfy 2012年12月7日下午3:29 
Alright, thanks for the replies. I'll be sure to try these out.
TiZ 2012年12月15日下午12:35 
If you're on 64-bit, remember: you'll need to install the 32-bit version of the library. On debian-based systems, you'll do "sudo apt-get install libtxc-dxtn-s2tc0:i386"
正在显示第 1 - 6 条,共 6 条留言
< >
每页显示数: 15 30 50